diff -Naur fish-1.9.2/Makefile.in fish-1.9.2-with-uninstall/Makefile.in
--- fish-1.9.2/Makefile.in	2005-05-24 12:36:01.000000000 +0200
+++ fish-1.9.2-with-uninstall/Makefile.in	2005-05-28 17:45:53.000000000 +0200
@@ -246,8 +246,8 @@
 	for i in doc_src/fish.1 xsel-0.9.6/xsel.1x doc_src/builtin_doc/man/man1/mimedb.1 doc_src/builtin_doc/man/man1/set_color.1 doc_src/builtin_doc/man/man1/tokenize.1; do \
 		$(INSTALL) -m 644 $$i $(DESTDIR)$(mandir)/man1/; \
 	done;
-	echo If you want to use fish as the default shell, remember to first
-	echo add the line \'$(DESTDIR)$(bindir)/fish\' to the file \'/etc/shells\'.
+	@echo If you want to use fish as the default shell, remember to first
+	@echo add the line \'$(DESTDIR)$(bindir)/fish\' to the file \'/etc/shells\'.
 
 #Local install
 install_local: all 
@@ -265,13 +265,14 @@
 	for i in user_doc/html/*; do \
 		$(INSTALL) $$i $(HOME)/doc/fish/; \
 	done;
-	echo If you want to use fish as the default shell, remember to first
-	echo add the line \'$(HOME)/bin/fish\' to the file \'/etc/shells\'.
+	@echo If you want to use fish as the default shell, remember to first
+	@echo add the line \'$(HOME)/bin/fish\' to the file \'/etc/shells\'.
 
 uninstall:
 	for i in $(PROGRAMS); do \
 		rm -f $(DESTDIR)$(bindir)/$$i; \
 	done;
+	rm -f $(DESTDIR)$(bindir)/xsel
 	rm -f $(DESTDIR)/etc/fish 
 	rm -f $(DESTDIR)/etc/fish_inputrc
 	rm -f $(DESTDIR)/etc/fish.d/fish_function.fish $(DESTDIR)/etc/fish.d/fish_complete.fish $(DESTDIR)/etc/fish.d/fish_alias.fish $(DESTDIR)/etc/fish.d/fish_interactive.fish
@@ -286,6 +287,7 @@
 	for i in $(PROGRAMS); do \
 		rm -f $(HOME)/bin/$$i; \
 	done;
+	rm -f $(HOME)/bin/xsel
 	rm -f $(HOME)/.fish 
 	rm -f $(HOME)/.fish_inputrc
 	rm -f $(HOME)/.fish.d/fish_function.fish $(HOME)/.fish.d/fish_complete.fish $(HOME)/.fish.d/fish_alias.fish $(HOME)/.fish.d/fish_interactive.fish 
